Project

General

Profile

Bug #13256

Revert i18n pin, allow 0.7.x

Added by Dominic Cleal over 3 years ago. Updated about 1 year ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
Packaging
Target version:
Difficulty:
Triaged:
Bugzilla link:
Team Backlog:
Fixed in Releases:
Found in Releases:

Description

The pin on the i18n gem in #8791 can be reverted, allowing i18n 0.7.0 (and therefore rails-i18n 4.0.6+ with newer translations) to be installed.

It was pinned as older versions in use didn't have the enforce_available_locales setting and 0.7.0 defaulted it to true. #7230 set enforce_available_locales to false, but the pin wasn't lifted in the merged version.


Related issues

Related to Foreman - Bug #8791: I18n::InvalidLocale: :en is not a valid localeClosed2014-12-24

Associated revisions

Revision 22e6b4f5 (diff)
Added by Dominic Cleal over 3 years ago

fixes #13256 - unpin i18n gem to get 0.7.x

Allows rails-i18n to be updated to the latest 4.0.x release.

Revision 5b3dd710 (diff)
Added by Dominic Cleal over 3 years ago

refs #13256 - remove i18n pin

History

#1 Updated by Dominic Cleal over 3 years ago

  • Related to Bug #8791: I18n::InvalidLocale: :en is not a valid locale added

#2 Updated by The Foreman Bot over 3 years ago

  • Status changed from Assigned to Ready For Testing
  • Pull request https://github.com/theforeman/foreman/pull/3087 added

#3 Updated by Dominic Cleal over 3 years ago

  • Status changed from Ready For Testing to Closed
  • % Done changed from 0 to 100

#4 Updated by Dominic Cleal over 3 years ago

  • Legacy Backlogs Release (now unused) set to 71

Also available in: Atom PDF